org.jboss.resteasy.core

## Class ExtendedCacheControl

- java.lang.Object
- - javax.ws.rs.core.CacheControl
  - - org.jboss.resteasy.core.ExtendedCacheControl

-     public class ExtendedCacheControl
      extends CacheControl

  Adds support for the public directive which is not supported by `CacheControl` for some reason.
  Author:
    Jozef Hartinger
  See Also:
    `http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.9.1`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedCacheControl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares object argument to this cache control to see if they are the same considering all property values.
    `int` | `hashCode()` Generate hash code from cache control properties.
    `boolean` | `isPublic()`
    `void` | `setPublic(boolean _public)`

    - ### Methods inherited from class javax.ws.rs.core.CacheControl

      `getCacheExtension, getMaxAge, getNoCacheFields, getPrivateFields, getSMaxAge, isMustRevalidate, isNoCache, isNoStore, isNoTransform, isPrivate, isProxyRevalidate, setMaxAge, setMustRevalidate, setNoCache, setNoStore, setNoTransform, setPrivate, setProxyRevalidate, setSMaxAge, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedCacheControl

          public ExtendedCacheControl()

  - ### Method Detail

    - #### isPublic

          public boolean isPublic()

    - #### setPublic

          public void setPublic(boolean _public)

    - #### hashCode

          public int hashCode()

      Description copied from class: `CacheControl`
      Generate hash code from cache control properties.
      Overrides:
        `hashCode` in class `CacheControl`
      Returns:
        the hashCode

    - #### equals

          public boolean equals(Object obj)

      Description copied from class: `CacheControl`
      Compares object argument to this cache control to see if they are the same considering all property values.
      Overrides:
        `equals` in class `CacheControl`
      Parameters:
        `obj` - the object to compare to
      Returns:
        true if the two cache controls are the same, false otherwise.

Copyright © 2014. All Rights Reserved.